Skip site navigation (1)Skip section navigation (2)
Date:      Sat, 18 Jul 2020 08:27:40 -0500
From:      Bob Willcox <bob@immure.com>
To:        questions list <freebsd-questions@freebsd.org>
Subject:   pkg: repository meta /var/db/pkg/FreeBSD.meta has wrong version 2
Message-ID:  <20200718132740.GA19756@rancor.immure.com>

Next in thread | Raw E-Mail | Index | Archive | Help
I just updated one of my systems from 11.2-stable to 11.4-stable and when I
attempt to update the packages I now get this:

root@amidala:1 /var/db/pkg> pkg upgrade    
Updating FreeBSD repository catalogue...
pkg: repository meta /var/db/pkg/FreeBSD.meta has wrong version 2
pkg: Repository FreeBSD load error: meta cannot be loaded No error: 0
Fetching meta.txz: 100%    916 B   0.9kB/s    00:01    
pkg: repository meta /var/db/pkg/FreeBSD.meta has wrong version 2
repository FreeBSD has no meta file, using default settings
Fetching packagesite.txz: 100%    6 MiB   2.1MB/s    00:03    
pkg: repository meta /var/db/pkg/FreeBSD.meta has wrong version 2
pkg: Repository FreeBSD load error: meta cannot be loaded No error: 0
Unable to open created repository FreeBSD
Unable to update repository FreeBSD
Error updating repositories!

What can I do to correct the version of the FreeBSD.meta? I tried removing
everything from the /var/db/pkg directory but that didn't help.

Thanks,
Bob

-- 
Bob Willcox    | It's possible that the whole purpose of your life is to
bob@immure.com | serve as a warning to others.
Austin, TX     |



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?20200718132740.GA19756>